Subject: bug#11317: Built-in rendering hangs with very long multipart/alternative HTML mail

From: William Gardella <[email-masked]>
Date: Mon, 23 Apr 2012 11:49:03 -0400

Hello,

Once daily, via nnimap, I receive a very long multipart/alternative
mail, a digest from a news-translation service (an example is attached).
Recently I switched my setup from Emacs 23, with the Git version of Gnus
and html message rendering via w3m, to the Bzr version of Emacs with its
included Gnus and the builtin message renderer.  The new setup seems
quicker and more responsive in all respects except that it hangs at this
one message.  (A few Bzr commits ago, it seemed to hang indefinitely
with Emacs at 100% CPU, although I never waited more than 5 minutes; now
it does eventually load the message, after about 2 minutes).  Other than
this one hang-up, I really like my current Gnus config and its lack of
the w3m dependency makes it more portable.

Here is the section of my Emacs configuration relevant to Gnus stuff:

#+begin_src emacs-lisp
(setq gnus-select-method
      '(nntp "news.gmane.org"
             (nntp-open-connection-function nntp-open-tls-stream)
             (nntp-port-number 563)
             (nntp-address "news.gmane.org"))
      gnus-secondary-select-methods
      '((nnimap "imap.pitt.edu"
                (nnimap-server-port 993)
                (nnimap-stream ssl)
                (nnir-search-engine imap))
        (nnimap "imap.gmail.com"
                (nnimap-server-port 993)
                (nnimap-stream ssl)
                (nnir-search-engine imap)))
      message-send-mail-function 'sendmail-send-it
      message-sendmail-envelope-from 'header
      message-sendmail-f-is-evil nil
      user-mail-address "[email-masked]"
      user-full-name "William Gardella"
      message-alternative-emails "pitt.edu"
      gnus-posting-styles
      '(("pitt.edu"
         (address "[email-masked]")
         (organization "University of Pittsburgh School of Law")))
      bbdb-file "~/.emacs.d/bbdb"
      tls-checktrust 'ask
      tls-program '("gnutls-cli --x509cafile /etc/ssl/certs/ca-certificates.crt -p %p %h"
                    "gnutls-cli --x509cafile /etc/ssl/certs/ca-certificates.crt -p %p %h --protocols ssl3"
                    "openssl s_client -connect %h:%p -CAfile /etc/ssl/certs/ca-certificates.crt -no_ssl2 -ign_eof")
      sendmail-program "esmtp")

(autoload 'sendmail-send-it "sendmail")

;; Check Gnus News Every 5 Minutes
(require 'gnus-demon)
(add-hook 'gnus-started-hook (lambda () (gnus-demon-add-handler 'gnus-demon-scan-news 5 nil)))

#+end_src

Gnus v5.13
GNU Emacs 24.1.50.2 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-04-20 on ansible
200 news.gmane.org InterNetNews NNRP server INN 2.5.1 ready (posting ok)
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.5.1
AUTHINFO USER
HDR
LIST ACTIVE ACTIVE.TIMES DISTRIB.PATS HEADERS NEWSGROUPS OVERVIEW.FMT
OVER
POST
READER
.

-- 
I use grml (http://grml.org/)